/** ExtractTest.rexx
*
*   Extract all fields from VLT
*
**/
address VLT
'extract'
/*
*   Loop over all the fields
*/
do i = 1 to VLT.fields
   a = VLT.fields.i
/*
*   Handle all fields with subfields in a special way
*/
   if   a = "COLOR" then do
      do j = 0 to VLT.color - 1
         a = VLT.fields.i"."j
         say overlay(a, copies(" ", 30)) " = " VLT.a
      end
   end
   else if a = "FIELDS" then do
      say overlay(a, copies(" ", 30)) " = this list"
   end
   else if a = "FUNCTIONKEY" then do
      do j = 1 to VLT.functionkey
         a = VLT.fields.i"."j
         say overlay(a, copies(" ", 30)) " = " VLT.a
      end
   end
   else if a = "FUNCTIONKEYALT" then do
      do j = 1 to VLT.functionkeyalt
         a = VLT.fields.i"."j
         say overlay(a, copies(" ", 30)) " = " VLT.a
      end
   end
   else if a = "FUNCTIONKEYCTRL" then do
      do j = 1 to VLT.functionkeyctrl
         a = VLT.fields.i"."j
         say overlay(a, copies(" ", 30)) " = " VLT.a
      end
   end
   else if a = "FUNCTIONKEYPADALT" then do
      do j = 1 to VLT.functionkeypadalt
         a = VLT.fields.i"."j
         say overlay(a, copies(" ", 30)) " = " VLT.a
      end
   end
   else if a = "FUNCTIONKEYPADSHIFTALT" then do
      do j = 1 to VLT.functionkeypadshiftalt
         a = VLT.fields.i"."j
         say overlay(a, copies(" ", 30)) " = " VLT.a
      end
   end
   else if a = "FUNCTIONKEYSHIFT" then do
      do j = 1 to VLT.functionkeyshift
         a = VLT.fields.i"."j
         say overlay(a, copies(" ", 30)) " = " VLT.a
      end
   end
   else if a = "FUNCTIONSCREENGADGET" then do
      do j = 1 to VLT.functionscreengadget
         a = VLT.fields.i"."j
         say overlay(a, copies(" ", 30)) " = " VLT.a
      end
   end
   else if a = "FUNCTIONUSERMENU" then do
      do j = 1 to VLT.functionusermenu
         a = VLT.fields.i"."j
         say overlay(a, copies(" ", 30)) " = " VLT.a
      end
   end
   else if a = "SCHEDULESPENDING" then do
      do j = 1 to VLT.schedulespending
         a = VLT.fields.i"."j
         say overlay(a, copies(" ", 30)) " = " VLT.a
      end
   end
/*
*   All other fields
*/
   else do
      say overlay(a, copies(" ", 30)) " = " VLT.a
   end
end
