/** SetPing.rexx
*
*   Set up the PingServer with a nice chime.
*   Requires 'Ping'. This macro is usually run in the startup-sequence.
*
**/
if ~show('l','rexxarplib.library') then addrexxlib
/*
*   Run Ping:
*/
address command 'ping'
/*
*   Wait until its port appears
*/
do i = 1 to 20
   if ~showlist('p', 'PingServer') then call delay 20
   else leave i
end

call sendparsed('PingServer', SET, 1000, 5000, 64)
exit
